List tax rates
Returns the tax rates of the account, active ones first.
Returns the tax rates of the account, active ones first.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Query Parameters
Page number (1-based)
1 <= value <= 21474836471Number of items per page
1 <= value <= 10020Filter by active status
Filter by inclusive or exclusive
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tax-rates"{ "data": [ { "id": "txr_3Nf8a2kLmPq9", "object": "tax_rate", "displayName": "VAT", "displayNameAr": "string", "percentage": 14, "inclusive": true, "description": "string", "active": true, "metadata": {}, "merchantId": "string", "createdAt": "string", "updatedAt": "string" } ], "totalCount": 0}Update a payment link PATCH
Partially updates an existing payment link. Only provided fields will be updated. Features: - Partial updates: only send fields you want to update - Updates line items with adjustable quantities (if provided, replaces all existing line items) - Updates custom fields (if provided, replaces all existing custom fields) - Updates after-completion settings (if provided, replaces existing settings) - Recalculates amount from line items when line items are updated - Validates currency consistency across line items when line items are updated Notes: - If `lineItems` is provided, all existing line items are replaced - If `customFields` is provided, all existing custom fields are replaced - If `customFields` is an empty array, all custom fields are removed - `expiresAt` can be set to `null` to remove expiration
Create a tax rate POST
Creates a reusable tax rate. The percentage and the inclusive setting cannot be changed later.